Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	LZMA utils
Name: 		xz
Version: 	5.0.0
Release: 	1
License: 	GPLv2+
Group:		Archiving/Compression
Source0:	http://tukaani.org/lzma/%{name}-%{version}.tar.bz2
Source200:	xzme
Obsoletes:	lzma <= %{version} lzma-alpha <= %{version} lzma-libs <= %{version}
Provides:	lzma = %{version}-%{release} lzma-alpha = %{version}-%{release} lzma-libs = %{version}-%{release}
BuildRequires:	zlib-devel diffutils
URL:		http://tukaani.org/lzma/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

# Bogus
Provides: liblzma.so.2

%description
LZMA provides very high compression ratio and fast decompression. The
core of the LZMA utils is Igor Pavlov's LZMA SDK containing the actual
LZMA encoder/decoder. LZMA utils add a few scripts which provide
gzip-like command line interface and a couple of other LZMA related
tools. Also provides:

- Average compression ratio 30% better than that of gzip and 15%
  better than that of bzip2.

- Decompression speed is only little slower than that of gzip, being
  two to five times faster than bzip2.

- In fast mode, compresses faster than bzip2 with a comparable
  compression ratio.

- Achieving the best compression ratios takes four to even twelve
  times longer than with bzip2. However. this doesn't affect
  decompressing speed.

- Very similar command line interface than what gzip and bzip2 have.

%package 	devel
Summary:	Devel libraries & headers for liblzma
Group:		Development/C
License:	LGPLv2.1+
Requires:       %{name} = %{version}-%{release}

%description devel
Devel libraries & headers for lzma.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="%{optflags} -O3 -funroll-loops" \
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
install -m755 %{SOURCE200} -D %{buildroot}%{_bindir}/xzme
# Bogus
ln -sf liblzma.so.5 %{buildroot}/usr/lib/liblzma.so.2

%check
make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README THANKS
%{_bindir}/lzcat
%{_bindir}/lzcmp
%{_bindir}/lzdiff
%{_bindir}/lzegrep
%{_bindir}/lzfgrep
%{_bindir}/lzgrep
%{_bindir}/lzless
%{_bindir}/lzma
%{_bindir}/lzmadec
%{_bindir}/lzmainfo
%{_bindir}/lzmore
%{_bindir}/unlzma
%{_bindir}/unxz
%{_bindir}/xz
%{_bindir}/xzcat
%{_bindir}/xzcmp
%{_bindir}/xzdec
%{_bindir}/xzdiff
%{_bindir}/xzegrep
%{_bindir}/xzfgrep
%{_bindir}/xzgrep
%{_bindir}/xzless
%{_bindir}/xzme
%{_bindir}/xzmore
%{_mandir}/man1/lzcat.1.gz
%{_mandir}/man1/lzcmp.1.gz
%{_mandir}/man1/lzdiff.1.gz
%{_mandir}/man1/lzegrep.1.gz
%{_mandir}/man1/lzfgrep.1.gz
%{_mandir}/man1/lzgrep.1.gz
%{_mandir}/man1/lzless.1.gz
%{_mandir}/man1/lzma.1.gz
%{_mandir}/man1/lzmadec.1.gz
%{_mandir}/man1/lzmainfo.1.gz
%{_mandir}/man1/lzmore.1.gz
%{_mandir}/man1/unlzma.1.gz
%{_mandir}/man1/unxz.1.gz
%{_mandir}/man1/xz.1.gz
%{_mandir}/man1/xzcat.1.gz
%{_mandir}/man1/xzcmp.1.gz
%{_mandir}/man1/xzdec.1.gz
%{_mandir}/man1/xzdiff.1.gz
%{_mandir}/man1/xzegrep.1.gz
%{_mandir}/man1/xzfgrep.1.gz
%{_mandir}/man1/xzgrep.1.gz
%{_mandir}/man1/xzless.1.gz
%{_mandir}/man1/xzmore.1.gz
%{_libdir}/liblzma.so.*
%{_locale}/cs/LC_MESSAGES/xz.mo
%{_locale}/de/LC_MESSAGES/xz.mo
%{_locale}/it/LC_MESSAGES/xz.mo


%files devel
%defattr(644,root,root,755)
%defattr(-,root,root)
%{_includedir}/lzma.h
%dir %{_includedir}/lzma
%{_includedir}/lzma
%{_libdir}/liblzma.so
%{_libdir}/liblzma.a
%{_libdir}/liblzma.la
%{_pkgconfig}/liblzma.pc
%{_datadir}/doc/xz

%changelog
* Mon Jan 24 2011 Karsten Brockmann <arcam@ccux-linux.de> 5.0.0-1
- Version update
* Mon Feb 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.9.999.9-1
- Version update
* Sun Apr 26 2009 Christian Metzen <metzench@ccux-linux.de> 4.999.8-1
- Inital CCux package release
- replaces lzma under new name
- beta version
